<?xml version="1.0" encoding="utf-8"?>
<document guid="GD6A6DFA06DEC4058B3A9FEA2E2801567" caption="Модуль формирования и ведения бюджетных смет" version="1.0.13" userVersion="2018.19" timeZoneBias="-180" javascriptDocumentClassName="FMain.FDocument" canOpen="true" isDefaultExportEnabled="false" versionOld="1.0.13" isDocumentUpdated="true">
	<interface>
		<images/>
	</interface>
	<rules>
		<import id="JSStageSettings" sourceFile="MainLogic\ObasStageSettings.js"/>
		<import id="JSDocumentSettings" sourceFile="MainLogic\DocumentSettings.js"/>
		<import id="JSTableFieldInfo" sourceFile="MainLogic\TableFieldInfo.js"/>
		<import id="JSEvents" sourceFile="MainLogic\Events.js"/>
		<import id="JSTableInfo" sourceFile="MainLogic\TableInfo.js"/>
		<import id="JSSprTables" sourceFile="MainLogic\SprTables.js"/>
		<import id="JSRROTables" sourceFile="MainLogic\RROTables.js"/>
		<import id="JSObasTableCollection" sourceFile="MainLogic\ObasTableCollection.js"/>
		<import id="JSObasDocumentCollection" sourceFile="MainLogic\ObasDocumentCollection.js"/>
		<import id="JSHelper" sourceFile="MainLogic\ObasHelper.js"/>
		<import id="JSFormatCollection" sourceFile="MainLogic\SheetFormatCollection.js"/>
		<import id="JSCommon" sourceFile="MainLogic\CommonRules.js"/>
		<import id="JSTable" sourceFile="MainLogic\FMain\FMain_TableRules.js"/>
		<import id="JSInterface" sourceFile="MainLogic\FMain\FMain_InterfaceRules.js"/>
		<import id="JSUpdate" sourceFile="MainLogic\FMain\FMain_UpdateRules.js"/>
		<import id="JSEditor" sourceFile="MainLogic\FMain\FMain_EditorRules.js"/>
		<import id="JSDocument" sourceFile="MainLogic\FMain\FMain_Document.js"/>
	</rules>
	<tables>
		<linkedtable id="MainAction" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="CSR" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="DirectionCost" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="FOIV" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="SPB_GRBS_LINKS" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="FK_SBP_GRBS_LINKS" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="FCR" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="NPAType" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="NPAStatuses" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="OBAS_SPR" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="OBAS_KBK_LINKS" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="KOSGU" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="Program" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="SubProgram" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="VR" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="VR_COSGUs" sourceFile="MainData\Spr_Forms_STAGE1.xml"/>
		<linkedtable id="NationalProjects" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="MFDepartment" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="PNO" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="RecipientCategory" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="Outlay_Status" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="BudgetAuthority" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="AddAnalysisIndicator" isSaveWithDocument="true" sourceFile="MainData\Spr_Main_User.xml"/>
		<linkedtable id="RRO_OBAS_KOSGU" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlays" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_SumOutlays" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_DATA" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_SumDATA" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_NPA" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="KU_DataTypes" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_KU_Data" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Expend_Shedule" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Expend_Shedule_History" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="SELECTED_FOIV" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="BuildParams" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_OBAS" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_OBAS_VERSIONS" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlay_KOSGU" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_OBAS_AddAnalysisIndicator" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_SumOBAS" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_SumOBAS_VERSIONS" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_SumOutlay_KOSGU" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_SumOBAS_AddAnalysisIndicator" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_PartIndicateBudgetValues" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_SumPartIndicateBudgetValues" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_LIMITS" isSaveWithDocument="true" sourceFile="MainData\PLAN_STAGE1.xml"/>
		<linkedtable id="RRO_LIMITS_DETAIL" sourceFile="MainData\PLAN_STAGE1.xml"/>
		<linkedtable id="RRO_PLAN" sourceFile="MainData\PLAN_STAGE1.xml"/>
		<linkedtable id="SecurityTypes" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="RRO_OBAS_Recvisits" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_OBAS_Numbers" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_OBAS_SC" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_ExecutorRecvisits" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_FinanceChiefRecvisits" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_OfficeChiefRecvisits" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_OutlayRecvisits" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="FileType" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="OutlayExchangeData" sourceFile="MainData\OutlayExchangeData.xml"/>
		<linkedtable id="OutlayAnalysisIndicatorExchangeData" sourceFile="MainData\OutlayExchangeData.xml"/>
		<linkedtable id="OnlyParentRRO_Outlay_KOSGU" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="OnlyParentRRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="OnlyParentRRO_OBAS_AddAnalysisIndicator" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="OnlyParentTotalRRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="tSumRRO_OBAS_AddAnalysisIndicator" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="tSumRRO_Outlay_KOSGU" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="tRRO_OBAS_VERSIONS" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="Files" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="dual" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="OKPD" isSaveWithDocument="true" sourceFile="MainData\Spr_Forms_STAGE1.xml"/>
		<linkedtable id="GroundsMakingChanges" isSaveWithDocument="true" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="RRO_ProcurementPlan" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="ProcurementPlan_Status" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="RRO_Procurement" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_FilterProcurement" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="Boolean" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="Procurement_Types" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="Procurement_PlacementYear" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="Procurement_Periodicity" sourceFile="MainData\Spr_Main.xml"/>
		<linkedtable id="RRO_ProcurementKBK" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_FilterProcurementKBK" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_ProcurementNPA" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_FilterProcurementNPA" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_ProcurementInfoNPA" isSaveWithDocument="true" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_FilterProcurementInfoNPA" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_ProcurementInfoNPADetails" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_ProcurementPlanSumbyKBK" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlay_SumByAnalyticsFilter" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlay_SumByAnalyticsGroups" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlay_SumByAnalytics" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlay_SumByAnalyticsPart4" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlay_SumByAnalyticsPart5xx" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_Outlay_OrgPart5xx" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_ExpendSheduleAddData" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="RRO_ExpendSheduleAddKBKData" sourceFile="MainData\RRO_STAGE1.xml"/>
		<linkedtable id="SubgroupNormativeExpenses" sourceFile="MainData\Spr_Forms_STAGE1.xml"/>
		<linkedtable id="OKV" sourceFile="MainData\Spr_Forms_STAGE1.xml"/>
		<linkedtable id="ChangeType" sourceFile="MainData\Spr_Ped.xml"/>
		<linkedtable id="RateDollarActual" sourceFile="MainData\Spr_Forms_STAGE1.xml"/>
		<linkedtable id="tRateDollarActual" sourceFile="MainData\Spr_Forms_STAGE1.xml"/>
		<table id="FakeDataset" readonly="true" canClear="false" filterKind="mainAndSpec" filterModel="commonDataset">
			<fields>
				<field name="Id" datatype="guid"/>
				<field name="Key" datatype="integer"/>
				<field name="FakeApproved_Y1" datatype="float" precision="2"/>
				<field name="FakeApproved_Usd_Y1" datatype="float" precision="5"/>
				<field name="FakeDelta_Y1" datatype="float" precision="2"/>
				<field name="FakeDelta_Usd_Y1" datatype="float" precision="5"/>
				<field name="Fake_Y1" datatype="float" precision="2"/>
				<field name="Fake_Usd_Y1" datatype="float" precision="5"/>
				<field name="FakeApproved_Y2" datatype="float" precision="2"/>
				<field name="FakeApproved_Usd_Y2" datatype="float" precision="5"/>
				<field name="FakeDelta_Y2" datatype="float" precision="2"/>
				<field name="FakeDelta_Usd_Y2" datatype="float" precision="5"/>
				<field name="Fake_Y2" datatype="float" precision="2"/>
				<field name="Fake_Usd_Y2" datatype="float" precision="5"/>
				<field name="FakeApproved_Y3" datatype="float" precision="2"/>
				<field name="FakeApproved_Usd_Y3" datatype="float" precision="5"/>
				<field name="FakeDelta_Y3" datatype="float" precision="2"/>
				<field name="FakeDelta_Usd_Y3" datatype="float" precision="5"/>
				<field name="Fake_Y3" datatype="float" precision="2"/>
				<field name="Fake_Usd_Y3" datatype="float" precision="5"/>
				<field name="FakeApproved_Y4" datatype="float" precision="2"/>
				<field name="FakeApproved_Usd_Y4" datatype="float" precision="5"/>
				<field name="FakeDelta_Y4" datatype="float" precision="2"/>
				<field name="FakeDelta_Usd_Y4" datatype="float" precision="5"/>
				<field name="Fake_Y4" datatype="float" precision="2"/>
				<field name="Fake_Usd_Y4" datatype="float" precision="5"/>
				<field name="Fake_OKV_Code" datatype="string" size="50"/>
				<field name="Fake_DAP_Code" datatype="string" size="8"/>
				<field name="Fake_Deviation_Y1" datatype="string" size="1"/>
				<field name="Fake_Deviation_Y2" datatype="string" size="1"/>
				<field name="Fake_Deviation_Y3" datatype="string" size="1"/>
				<field name="Fake_Deviation_Y4" datatype="string" size="1"/>
				<field name="Fake_Lbo_Y1" datatype="float" precision="2"/>
				<field name="Fake_Lbo_Y2" datatype="float" precision="2"/>
				<field name="Fake_Lbo_Y3" datatype="float" precision="2"/>
				<field name="Fake_Lbo_Y4" datatype="float" precision="2"/>
				<field name="Fake_Obas_Code" datatype="string" size="100"/>
				<field name="Fake_KOSGU_Code" datatype="string" size="3"/>
			</fields>
		</table>
		<table id="WorkParams" readonly="true" canClear="false" filterKind="mainAndSpec" filterModel="commonDataset">
			<fields>
				<field name="Key" datatype="integer"/>
				<field name="Id" datatype="guid"/>
				<field name="ReadOnly" datatype="boolean"/>
			</fields>
			<data>
				<row>
					<el><![CDATA[1]]></el>
					<el><![CDATA[{CC195FC422994E938B5953BCF24B3645}]]></el>
					<el><![CDATA[False]]></el>
				</row>
			</data>
		</table>
	</tables>
	<sheets>
		<groupsheet name="Outlays" caption="Ведение смет"/>
		<gridsheet name="Versions" groupSheet="Outlays" title="Документы" isShowColumnNumbers="true" isFilteringAllowed="true">
			<view table="RRO_Outlays">
				<col width="250" readonly="true" caption="Тип документа" name="Name"/>
				<col width="160" readonly="true" caption="Номер документа" name="Number" align="center"/>
				<col width="120" readonly="true" caption="Дата создания" name="CreateDate" align="center">
					<buttons/>
				</col>
				<col width="120" readonly="true" caption="Дата утверждения" name="ApprovedDate" align="center">
					<buttons/>
				</col>
				<col width="150" readonly="true" caption="Статус" name="Outlay_Status_ID">
					<buttons/>
				</col>
				<editors>
					<editor id="OutlayVersionsEditor" canAdd="true"/>
				</editors>
			</view>
			<rules>
				<rule name="ObasHelper.GetFalse" event="OnCanAdd"/>
				<rule name="ObasHelper.GetFalse" event="OnCanEdit"/>
				<rule name="ObasHelper.GetFalse" event="OnCanDelete"/>
			</rules>
			<menuitems>
				<menu caption="Создать бюджетную смету">
					<rules>
						<rule name="%Doc%.VersionsSheet.CreateVersionMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.CreateVersionMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Сформировать изменение бюджетной сметы">
					<rules>
						<rule name="%Doc%.VersionsSheet.CreateDeltaMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.IsApprovedVersion" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Удалить документ">
					<rules>
						<rule name="%Doc%.VersionsSheet.DeleteOutlayMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.CanEditEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Изменить статус">
					<rules>
						<rule name="%Doc%.VersionsSheet.EditOutlayMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.CanEditEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Открыть документ">
					<rules>
						<rule name="%Doc%.VersionsSheet.OpenOutlayMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.OpenOutlayMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Сделать активной">
					<rules>
						<rule name="%Doc%.VersionsSheet.SetActiveMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.SetActiveMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Добавить в свод смет">
					<rules>
						<rule name="%Doc%.VersionsSheet.AddToSumOutlayMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.IsApprovedVersion" event="OnShow"/>
						<rule name="%Doc%.InterfaceRules.IsNotRecipientAuth" event="OnGetIsVisible"/>
					</rules>
				</menu>
				<menu caption="Сформировать пакет данных">
					<rules>
						<rule name="%Doc%.VersionsSheet.CreatePackMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.VersionsSheet.IsNotDraftVersion" event="OnShow"/>
						<rule name="%Doc%.InterfaceRules.IsRecipientAuth" event="OnGetIsVisible"/>
					</rules>
				</menu>
				<menu caption="Загрузить расходное расписание">
					<menu caption="Импортировать файл РР">
						<rules>
							<rule name="%Doc%.VersionsSheet.LoadExpendSheduleMenuItemClickEventHandler" event="OnClick"/>
							<rule name="%Doc%.VersionsSheet.LoadExpendSheduleMenuItemShowEventHandler" event="OnShow"/>
						</rules>
					</menu>
					<menu caption="Ручной ввод РР">
						<rules>
							<rule name="%Doc%.VersionsSheet.AddExpendSheduleMenuItemClickEventHandler" event="OnClick"/>
							<rule name="%Doc%.VersionsSheet.AddExpendSheduleMenuItemShowEventHandler" event="OnShow"/>
						</rules>
					</menu>
				</menu>
			</menuitems>
		</gridsheet>
		<gridsheet name="Main" groupSheet="Outlays" title="Показатели бюджетных смет" isShowColumnNumbers="true" isFilteringAllowed="true" isShowTotals="true">
			<view table="RRO_DATA">
				<view caption="Код по бюджетной классификации Российской Федерации">
					<col width="100" readonly="true" caption="раздела" name="FCR_CodeSection" align="center" valign="center"/>
					<col width="100" readonly="true" caption="подраздела" name="FCR_CodeSubSection" align="center" valign="center"/>
					<col width="200" readonly="true" caption="целевой статьи" name="CSR_Code" align="center" valign="center"/>
					<col width="100" readonly="true" caption="вида расходов" name="VR_CODE" align="center" valign="center"/>
				</view>
				<col width="80" readonly="true" caption="Гриф секретности" name="SecurityTypes_Code" align="center" valign="center"/>
				<view table="RRO_Expend_Shedule" isNextViewAlwaysInsertRow="true">
					<view table="FakeDataset">
						<col width="90" readonly="true" caption="Код формы" name="Fake_Obas_Code" align="center" valign="center"/>
						<template>
							<view caption="Сумма на {caption} год">
								<col width="120" readonly="true" caption="Доведенные ЛБО" name="Fake_Lbo_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
								<view caption="утверждено по смете">
									<col width="120" readonly="true" caption="в рублях, (рублевой эквивалент)" name="FakeApproved_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
									<col width="120" readonly="true" caption="в валюте" name="FakeApproved_Usd_Y{fieldName}" align="right" valign="center" displayFormat=",0.00000"/>
								</view>
								<view caption="изменение (+,-)">
									<col width="120" readonly="true" caption="в рублях, (рублевой эквивалент)" name="FakeDelta_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
									<col width="120" readonly="true" caption="в валюте" name="FakeDelta_Usd_Y{fieldName}" align="right" valign="center" displayFormat=",0.00000"/>
								</view>
								<view caption="проект сметы">
									<col width="120" readonly="true" caption="в рублях, (рублевой эквивалент)" name="Fake_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
									<col width="120" readonly="true" caption="в валюте" name="Fake_Usd_Y{fieldName}" align="right" valign="center" displayFormat=",0.00000"/>
								</view>
								<col width="50" readonly="true" caption="!" name="Fake_Deviation_Y{fieldName}" align="center" valign="center"/>
							</view>
							<rules>
								<rule name="%Doc%.ObasSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								<rule name="%Doc%.ObasSheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
							</rules>
						</template>
					</view>
					<template>
						<col readonly="true" name="Y{fieldName}" columnName="Fake_Lbo_Y{columnName}"/>
						<rules>
							<rule name="%Doc%.ObasSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
						</rules>
					</template>
					<view masterKeys="RRO_Outlays_ID;MainAction_ID;VR_ID;DirectionCost_ID;SubProgram_ID;FCR_ID;Program_ID" detailKeys="RRO_Expend_Shedule.RRO_Outlays_ID;RRO_Expend_Shedule.MainAction_ID;RRO_Expend_Shedule.VR_ID;RRO_Expend_Shedule.DirectionCost_ID;RRO_Expend_Shedule.SubProgram_ID;RRO_Expend_Shedule.FCR_ID;RRO_Expend_Shedule.Program_ID" table="tRRO_OBAS_VERSIONS">
						<template>
							<col readonly="true" name="Y{fieldName}" columnName="Fake_Y{columnName}"/>
							<col readonly="true" name="Y{fieldName}_D" columnName="FakeDelta_Y{columnName}"/>
							<rules>
								<rule name="%Doc%.ObasSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
							</rules>
						</template>
						<view masterKeys="RRO_Outlays_ID;MainAction_ID;VR_ID;DirectionCost_ID;SubProgram_ID;FCR_ID;Program_ID" detailKeys="RRO_Expend_Shedule.SrcOutlayKey;RRO_Expend_Shedule.MainAction_ID;RRO_Expend_Shedule.VR_ID;RRO_Expend_Shedule.DirectionCost_ID;RRO_Expend_Shedule.SubProgram_ID;RRO_Expend_Shedule.FCR_ID;RRO_Expend_Shedule.Program_ID" table="OnlyParentTotalRRO_OBAS_VERSIONS">
							<template>
								<col readonly="true" name="Y{fieldName}" columnName="FakeApproved_Y{columnName}"/>
								<rules>
									<rule name="%Doc%.ObasSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								</rules>
							</template>
						</view>
					</view>
				</view>
				<view table="RRO_OBAS">
					<col name="OBAS_CODE" columnName="Fake_Obas_Code"/>
					<view table="RRO_OBAS_VERSIONS">
						<template>
							<col readonly="true" name="Y{fieldName}_LBO" columnName="Fake_Lbo_Y{columnName}"/>
							<col readonly="true" name="Y{fieldName}" columnName="Fake_Y{columnName}"/>
							<col readonly="true" name="Y{fieldName}_D" columnName="FakeDelta_Y{columnName}"/>
							<col readonly="true" name="Usd_Y{fieldName}" columnName="Fake_Usd_Y{columnName}"/>
							<col readonly="true" name="Usd_Y{fieldName}_D" columnName="FakeDelta_Usd_Y{columnName}"/>
							<rules>
								<rule name="%Doc%.ObasSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
							</rules>
						</template>
						<view masterKeys="Key" detailKeys="RRO_OBAS_VERSIONS.PARENT_OBAS_VERSION_KEY" table="OnlyParentRRO_OBAS_VERSIONS">
							<template>
								<col readonly="true" name="Y{fieldName}" columnName="FakeApproved_Y{columnName}"/>
								<col readonly="true" name="Usd_Y{fieldName}" columnName="FakeApproved_Usd_Y{columnName}"/>
								<rules>
									<rule name="%Doc%.ObasSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								</rules>
							</template>
						</view>
					</view>
					<col width="120" readonly="true" caption="Код валюты" name="OKV_Code" align="center" valign="center"/>
					<editors>
						<editor id="OBASEditor" canAdd="true" isDefault="true"/>
					</editors>
				</view>
				<editors>
					<editor id="KBKEditor" canAdd="true" isDefault="true"/>
				</editors>
				<rules>
					<rule name="ObasTableCollection.RroDataTable.IsActiveOutlayLoadEventHandler" event="OnLoad"/>
				</rules>
			</view>
			<rules>
				<rule name="%Doc%.ObasSheet.CanAddEventHandler" event="OnCanAdd"/>
				<rule name="%Doc%.ObasSheet.ReadOnlyEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.ObasSheet.ReadOnlyEventHandler" event="OnCanDelete"/>
				<rule name="%Doc%.ObasSheet.ReadOnlyEventHandler" event="OnEditingCell"/>
				<rule name="%Doc%.ObasSheet.CalcEventHandler" event="OnCalc"/>
				<rule name="%Doc%.ObasSheet.FormatEventHandler" event="OnGetFormat"/>
			</rules>
			<menuitems>
				<menu caption="Открыть сметный расчет">
					<rules>
						<rule name="%Doc%.ObasSheet.OpenObasMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.ObasSheet.IsObasHasVersion" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Изменить сумму сметного расчета">
					<rules>
						<rule name="%Doc%.ObasSheet.ChangeObasDataMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.ObasSheet.ChangeObasDataMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Ранее доведенные ЛБО">
					<rules>
						<rule name="%Doc%.ObasSheet.ChangeObasLBOMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.ObasSheet.ChangeObasLBOMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
			</menuitems>
		</gridsheet>
		<gridsheet name="DAP" groupSheet="Outlays" title="Аналитические показатели" isShowColumnNumbers="true" isFilteringAllowed="true" isShowTotals="true">
			<view table="RRO_DATA" readonly="true">
				<view caption="Код по бюджетной классификации Российской Федерации">
					<col width="100" caption="раздела" name="FCR_CodeSection" sortIndex="0" sortOrder="1" align="center" valign="center"/>
					<col width="100" caption="подраздела" name="FCR_CodeSubSection" sortIndex="1" sortOrder="1" align="center" valign="center"/>
					<col width="200" caption="целевой статьи" name="CSR_Code" sortIndex="2" sortOrder="1" align="center" valign="center"/>
					<col width="100" caption="вида расходов" name="VR_CODE" sortIndex="3" sortOrder="1" align="center" valign="center"/>
				</view>
				<col width="80" caption="Гриф секретности" name="SecurityTypes_Code" align="center" valign="center"/>
				<view table="RRO_OBAS">
					<col width="90" caption="Код формы" name="OBAS_CODE" sortIndex="4" sortOrder="1" align="center" valign="center"/>
					<view table="RRO_OBAS_VERSIONS">
						<view table="FakeDataset">
							<col width="100" caption="КОСГУ" name="Fake_KOSGU_Code" sortIndex="5" sortOrder="1" align="center" valign="center"/>
							<col width="100" caption="Код аналитического показателя" name="Fake_DAP_Code" sortIndex="6" sortOrder="1" align="center" valign="center"/>
							<template>
								<view caption="Сумма на {caption} год">
									<view caption="утверждено по смете">
										<col width="120" caption="в рублях, (рублевой эквивалент)" name="FakeApproved_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
										<col width="120" caption="в валюте" name="FakeApproved_Usd_Y{fieldName}" align="right" valign="center" displayFormat=",0.00000"/>
									</view>
									<view caption="изменение (+,-)">
										<col width="120" caption="в рублях, (рублевой эквивалент)" name="FakeDelta_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
										<col width="120" caption="в валюте" name="FakeDelta_Usd_Y{fieldName}" align="right" valign="center" displayFormat=",0.00000"/>
									</view>
									<view caption="проект сметы">
										<col width="120" caption="в рублях, (рублевой эквивалент)" name="Fake_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
										<col width="120" caption="в валюте" name="Fake_Usd_Y{fieldName}" align="right" valign="center" displayFormat=",0.00000"/>
									</view>
								</view>
								<rules>
									<rule name="%Doc%.DapSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
									<rule name="%Doc%.DapSheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
								</rules>
							</template>
						</view>
						<template>
							<col name="Y{fieldName}" columnName="Fake_Y{columnName}"/>
							<col name="Y{fieldName}_D" columnName="FakeDelta_Y{columnName}"/>
							<col name="Usd_Y{fieldName}" columnName="Fake_Usd_Y{columnName}"/>
							<col name="Usd_Y{fieldName}_D" columnName="FakeDelta_Usd_Y{columnName}"/>
							<rules>
								<rule name="%Doc%.DapSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
							</rules>
						</template>
						<view masterKeys="Key" detailKeys="RRO_OBAS_VERSIONS.PARENT_OBAS_VERSION_KEY" table="OnlyParentRRO_OBAS_VERSIONS" isNextViewAlwaysInsertRow="true">
							<template>
								<col name="Y{fieldName}" columnName="FakeApproved_Y{columnName}"/>
								<col name="Usd_Y{fieldName}" columnName="FakeApproved_Usd_Y{columnName}"/>
								<rules>
									<rule name="%Doc%.DapSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								</rules>
							</template>
						</view>
						<view table="RRO_Outlay_KOSGU" readonly="false">
							<col readonly="true" name="KOSGU_Code" columnName="Fake_KOSGU_Code"/>
							<template>
								<col readonly="true" name="Y{fieldName}" columnName="Fake_Y{columnName}"/>
								<col readonly="true" name="Y{fieldName}_D" columnName="FakeDelta_Y{columnName}"/>
								<col readonly="true" name="Usd_Y{fieldName}" columnName="Fake_Usd_Y{columnName}"/>
								<col readonly="true" name="Usd_Y{fieldName}_D" columnName="FakeDelta_Usd_Y{columnName}"/>
								<rules>
									<rule name="%Doc%.DapSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								</rules>
							</template>
							<view masterKeys="RRO_OBAS_VERSIONS_ID;KOSGU_Id" detailKeys="RRO_OBAS_VERSIONS.PARENT_OBAS_VERSION_KEY;KOSGU_Id" table="OnlyParentRRO_Outlay_KOSGU" isNextViewAlwaysInsertRow="true" readonly="true">
								<template>
									<col name="Y{fieldName}" columnName="FakeApproved_Y{columnName}"/>
									<col name="Usd_Y{fieldName}" columnName="FakeApproved_Usd_Y{columnName}"/>
									<rules>
										<rule name="%Doc%.DapSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
									</rules>
								</template>
							</view>
							<view table="RRO_OBAS_AddAnalysisIndicator">
								<col readonly="true" name="AddAnalysisIndicator_Code" columnName="Fake_DAP_Code"/>
								<template>
									<col readonly="true" name="Y{fieldName}" columnName="Fake_Y{columnName}"/>
									<col readonly="true" name="Y{fieldName}_D" columnName="FakeDelta_Y{columnName}"/>
									<col readonly="true" name="Usd_Y{fieldName}" columnName="Fake_Usd_Y{columnName}"/>
									<col readonly="true" name="Usd_Y{fieldName}_D" columnName="FakeDelta_Usd_Y{columnName}"/>
									<rules>
										<rule name="%Doc%.DapSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
									</rules>
								</template>
								<view masterKeys="RRO_Outlay_KOSGU_ID;AddAnalysisIndicator_ID" detailKeys="RRO_Outlay_KOSGU.PARENT_Outlay_KOSGU_KEY;AddAnalysisIndicator_ID" table="OnlyParentRRO_OBAS_AddAnalysisIndicator" readonly="true">
									<template>
										<col name="Y{fieldName}" columnName="FakeApproved_Y{columnName}"/>
										<col name="Usd_Y{fieldName}" columnName="FakeApproved_Usd_Y{columnName}"/>
										<rules>
											<rule name="%Doc%.DapSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
										</rules>
									</template>
								</view>
								<editors>
									<editor id="RROAddAnalysisIndicatorEditor" canAdd="true" isDefault="true"/>
								</editors>
							</view>
							<editors>
								<editor id="RROAddAnalysisIndicatorEditor" canAdd="true"/>
								<editor id="RROKosguEditor" canAdd="true" isDefault="true"/>
							</editors>
						</view>
						<editors>
							<editor id="RROKosguEditor" canAdd="true"/>
						</editors>
					</view>
					<col width="120" caption="Код валюты" name="OKV_Code" align="center" valign="center"/>
				</view>
				<rules>
					<rule name="ObasTableCollection.RroDataTable.IsActiveOutlayLoadEventHandler" event="OnLoad"/>
				</rules>
			</view>
			<rules>
				<rule name="%Doc%.DapSheet.CalcEventHandler" event="OnCalc"/>
				<rule name="%Doc%.DapSheet.CanAddEventHandler" event="OnCanAdd"/>
				<rule name="%Doc%.DapSheet.ReadOnlyEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.DapSheet.ReadOnlyEventHandler" event="OnCanDelete"/>
				<rule name="%Doc%.DapSheet.ReadOnlyEventHandler" event="OnEditingCell"/>
			</rules>
		</gridsheet>
		<gridsheet name="ExpendSheduleHistory" groupSheet="Outlays" title="Журнал загрузки расходных расписаний" isShowColumnNumbers="true" isFilteringAllowed="true" isShowTotals="true">
			<view table="RRO_DATA">
				<view caption="Код по бюджетной классификации Российской Федерации">
					<col width="100" readonly="true" caption="раздела" name="FCR_CodeSection" sortIndex="0" sortOrder="1" align="center" valign="center"/>
					<col width="100" readonly="true" caption="подраздела" name="FCR_CodeSubSection" sortIndex="1" sortOrder="1" align="center" valign="center"/>
					<col width="200" readonly="true" caption="целевой статьи" name="CSR_Code" sortIndex="2" sortOrder="1" align="center" valign="center"/>
					<col width="100" readonly="true" caption="вида расходов" name="VR_CODE" sortIndex="3" sortOrder="1" align="center" valign="center"/>
				</view>
				<view masterKeys="RRO_DATA_ID" detailKeys="RRO_DATA.Key" table="RRO_Expend_Shedule_History">
					<col width="150" readonly="true" caption="Дата документа" name="DocDate" align="center" valign="center">
						<buttons/>
					</col>
					<col width="100" readonly="true" caption="№ документа" name="DocNumber" align="center" valign="center"/>
					<col width="100" readonly="true" caption="Дата загрузки" name="LoadDate" sortIndex="4" sortOrder="0" align="center" valign="center">
						<buttons/>
					</col>
					<template>
						<view caption="Сумма на {caption} год">
							<col width="120" readonly="true" caption="Доведенные ЛБО" name="Prev_Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
							<col width="120" readonly="true" caption="Текущее изменение" name="Y{fieldName}" align="right" valign="center" displayFormat=",0.00"/>
						</view>
						<rules>
							<rule name="%Doc%.ExpendSheduleSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
							<rule name="%Doc%.ExpendSheduleSheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
						</rules>
					</template>
				</view>
				<rules>
					<rule name="ObasTableCollection.RroDataTable.IsActiveOutlayLoadEventHandler" event="OnLoad"/>
				</rules>
			</view>
		</gridsheet>
		<groupsheet name="SumOutlays" caption="Свод смет">
			<rules>
				<rule name="%Doc%.InterfaceRules.IsNotRecipientAuth" event="OnShow"/>
			</rules>
		</groupsheet>
		<gridsheet name="SumOutlaysVersions" groupSheet="SumOutlays" title="Версии свода смет" isShowColumnNumbers="true" isFilteringAllowed="true">
			<view table="RRO_SumOutlays">
				<col width="250" readonly="true" caption="Наименование версии" name="Name"/>
				<col width="100" readonly="true" caption="№ п/п" name="Key" align="center"/>
				<col width="120" readonly="true" caption="Дата создания" name="CreateDate" align="center"/>
				<col width="120" readonly="true" caption="Дата утверждения" name="ApprovedDate" align="center"/>
				<col width="150" readonly="true" caption="Статус" name="Outlay_Status_ID"/>
				<editors>
					<editor id="SumOutlayVersionsEditor" canAdd="true"/>
				</editors>
			</view>
			<rules>
				<rule name="ObasHelper.GetFalse" event="OnCanAdd"/>
				<rule name="%Doc%.SumOutlayVersionsSheet.CanEditEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.SumOutlayVersionsSheet.CanEditEventHandler" event="OnCanDelete"/>
			</rules>
			<menuitems>
				<menu caption="Создать новую версию">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsSheet.CreateVersionMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Сформировать изменение">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsSheet.CreateDeltaMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.SumOutlayVersionsSheet.CreateDeltaMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Открыть документ">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsSheet.OpenOutlayMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.SumOutlayVersionsSheet.OpenOutlayMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Сделать активной">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsSheet.SetActiveMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.SumOutlayVersionsSheet.SetActiveMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
				<menu caption="Добавить свод смет РБС">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsSheet.LoadOutlaysMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.SumOutlayVersionsSheet.IsDraftVersion" event="OnShow"/>
						<rule name="%Doc%.InterfaceRules.IsMainManagerAuth" event="OnGetIsVisible"/>
					</rules>
				</menu>
				<menu caption="Добавить сметы">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsSheet.LoadOutlaysMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.SumOutlayVersionsSheet.IsDraftVersion" event="OnShow"/>
						<rule name="%Doc%.InterfaceRules.IsNotMainManagerAuth" event="OnGetIsVisible"/>
					</rules>
				</menu>
				<menu caption="Сформировать пакет данных">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsSheet.CreatePackMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.SumOutlayVersionsSheet.IsApprovedVersion" event="OnShow"/>
						<rule name="%Doc%.InterfaceRules.IsManagerAuth" event="OnGetIsVisible"/>
					</rules>
				</menu>
			</menuitems>
		</gridsheet>
		<groupsheet name="ProcurementPlan" caption="Ведение плана закупок"/>
		<gridsheet name="ProcurementPlanVersions" groupSheet="ProcurementPlan" title="Версии плана закупок" isShowColumnNumbers="true" isFilteringAllowed="true">
			<view table="RRO_ProcurementPlan">
				<col width="170" readonly="true" caption="Номер документа" name="DocNumber" align="center"/>
				<col width="120" readonly="true" caption="Вид документа" name="DocKind" align="left"/>
				<col width="100" readonly="true" caption="Номер изменения" name="NumVersion" align="center"/>
				<col width="120" readonly="true" caption="Дата создания" name="CreateDate" align="center">
					<buttons/>
				</col>
				<col width="120" readonly="true" caption="Дата утверждения" name="ApprovedDate" align="center">
					<buttons/>
				</col>
				<col width="150" readonly="true" caption="Статус" name="ProcurementPlan_Status_ID">
					<buttons/>
				</col>
				<col width="100" readonly="true" caption="Глава по БК" name="FoivCode" align="center"/>
				<col width="120" readonly="true" caption="Код учреждения" name="RecipientRegCode" align="center"/>
				<col width="400" readonly="true" caption="Наименование учреждения" name="RecipientName" align="left"/>
				<editors>
					<editor id="ProcurementPlanVersionsEditor" canAdd="true"/>
				</editors>
			</view>
			<rules>
				<rule name="ObasHelper.GetFalse" event="OnCanAdd"/>
				<rule name="%Doc%.ProcurementPlanVersionsSheet.CanEditEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.ProcurementPlanVersionsSheet.CanEditEventHandler" event="OnCanDelete"/>
			</rules>
			<menuitems>
				<menu caption="Создать новую версию">
					<rules>
						<rule name="%Doc%.ProcurementPlanVersionsSheet.CreateVersionMenuItemClickEventHandler" event="OnClick"/>
						<rule name="%Doc%.ProcurementPlanVersionsSheet.CreateVersionMenuItemShowEventHandler" event="OnShow"/>
					</rules>
				</menu>
			</menuitems>
		</gridsheet>
		<gridsheet name="Procurements" groupSheet="ProcurementPlan" title="Закупки" isShowColumnNumbers="true" isFilteringAllowed="true" isShowTotals="true">
			<view table="RRO_FilterProcurement">
				<view masterKeys="key" detailKeys="RRO_FilterProcurement.SourceKey" table="RRO_Procurement">
					<col width="70" readonly="true" caption="Номер" name="NumStr" align="center" valign="center"/>
					<col width="290" readonly="true" caption="Идентификационный код закупки" name="IKZ" valign="center"/>
					<col width="270" readonly="true" caption="Тип закупки" name="Procurement_Types_Name" valign="center"/>
					<col width="350" readonly="true" caption="Наименование объекта закупки" name="ObjectName" valign="left"/>
					<col width="80" readonly="true" caption="Укрупненная" name="IsEnlarged_Name" align="center" valign="center"/>
					<col width="100" readonly="true" caption="Код по ОКПД" name="OKPDCode" align="center" valign="center"/>
					<col width="250" readonly="true" caption="Наименование ОКПД" name="OKPDName" valign="center"/>
					<col width="300" readonly="true" caption="Наименование государственной программы" name="MainStateProgram" valign="left"/>
					<col width="300" readonly="true" caption="Наименование основного мероприятия государственной программы" name="MainEventStateProgram" valign="left"/>
					<col width="300" readonly="true" caption="Ожидаемый результат" name="ExpectedResult" valign="left"/>
					<col width="80" readonly="true" caption="Год размещения извещения" name="Procurement_PlacementYear_Name" align="center" valign="center"/>
					<view caption="Объем финансового обеспечения">
						<template>
							<col width="150" readonly="true" caption="{caption} год" name="Y{fieldName}" align="right" displayFormat=",0.00"/>
							<rules>
								<rule name="%Doc%.ProcurementsSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								<rule name="%Doc%.ProcurementsSheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
							</rules>
						</template>
						<col width="150" readonly="true" caption="Последующие годы" name="Y4" align="right" displayFormat=",0.00"/>
					</view>
					<view caption="Срок осуществления закупки">
						<col width="100" readonly="true" caption="Дата начала" name="DateBegin" align="center">
							<buttons/>
						</col>
						<col width="100" readonly="true" caption="Дата окончания" name="DateEnd" align="center">
							<buttons/>
						</col>
					</view>
					<col width="120" readonly="true" caption="Периодичность осуществления закупки" name="Procurement_Periodicity_Name" valign="center"/>
					<col width="170" readonly="true" caption="Сведения о технической сложности, инновационности и специальном характере закупки" name="IsInfoTechDifficulties_Name" align="center" valign="center"/>
					<col width="170" readonly="true" caption="Сведения об обязательном общественном обсуждении" name="IsInfoPublicComment_Name" align="center" valign="center"/>
					<col width="350" readonly="true" caption="Обоснование соответствия объекта и (или) объектов&#xA;закупки мероприятию государственной (муниципальной) программы" name="JustificationConformityObject" valign="center"/>
					<col width="400" readonly="true" caption="Основание внесения изменений" name="GroundsMakingChanges_Name" valign="center"/>
					<col width="400" readonly="true" caption="Описание обоснования изменений" name="DescriptionGroundsForChanges" valign="center"/>
					<editors>
						<editor id="ProcurementsEditor" canAdd="true"/>
					</editors>
				</view>
				<editors>
					<editor id="ProcurementsEditor" canAdd="true"/>
				</editors>
			</view>
			<rules>
				<rule name="%Doc%.ProcurementsSheet.ActivateSheetEventHandler" event="OnActivateSheet"/>
				<rule name="%Doc%.ProcurementsSheet.CanEditEventHandler" event="OnCanAdd"/>
				<rule name="%Doc%.ProcurementsSheet.CanEditEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.ProcurementsSheet.CanEditEventHandler" event="OnCanDelete"/>
			</rules>
		</gridsheet>
		<gridsheet name="ProcurementsKBK" groupSheet="ProcurementPlan" title="Детализация по КБК" isShowColumnNumbers="true" isFilteringAllowed="true">
			<view table="RRO_FilterProcurementKBK">
				<view masterKeys="key" detailKeys="RRO_FilterProcurementKBK.SourceKey" table="RRO_ProcurementKBK">
					<col width="290" readonly="true" caption="Идентификационный код закупки" name="IKZ_Name" valign="center"/>
					<col width="310" readonly="true" caption="Наименование объекта закупки" name="ObjectName" valign="center"/>
					<col width="100" readonly="true" caption="Код по ОКПД" name="OKPD_Code" align="center" valign="center"/>
					<col width="250" readonly="true" caption="Наименование ОКПД" name="OKPD_Name" valign="center"/>
					<view caption="Код по бюджетной классификации Российской Федерации">
						<col width="100" readonly="true" caption="код по БК" name="Foiv_Code" align="center" valign="center"/>
						<col width="100" readonly="true" caption="раздела" name="FCR_CodeSection" align="center" valign="center"/>
						<col width="100" readonly="true" caption="подраздела" name="FCR_CodeSubSection" align="center" valign="center"/>
						<col width="170" readonly="true" caption="целевой статьи" name="CSR_Code" align="center" valign="center"/>
						<col width="100" readonly="true" caption="вида расходов" name="VR_Code" align="center" valign="center"/>
					</view>
					<col width="90" readonly="true" caption="Год размещения извещения" name="Procurement_PlacementYear_Name" align="center" valign="center"/>
					<view caption="Объем финансового обеспечения">
						<template>
							<col width="150" readonly="true" caption="{caption} год" name="Y{fieldName}" align="right" displayFormat=",0.00"/>
							<rules>
								<rule name="%Doc%.ProcurementsKBKSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								<rule name="%Doc%.ProcurementsKBKSheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
							</rules>
						</template>
						<col width="150" readonly="true" caption="Последующие годы" name="Y4" align="right" displayFormat=",0.00"/>
					</view>
					<editors>
						<editor id="ProcurementsKBKEditor" canAdd="true"/>
					</editors>
				</view>
				<editors>
					<editor id="ProcurementsKBKEditor" canAdd="true"/>
				</editors>
			</view>
			<rules>
				<rule name="%Doc%.ProcurementsKBKSheet.ActivateSheetEventHandler" event="OnActivateSheet"/>
				<rule name="%Doc%.ProcurementsKBKSheet.CanEditEventHandler" event="OnCanAdd"/>
				<rule name="%Doc%.ProcurementsKBKSheet.CanEditEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.ProcurementsKBKSheet.CanEditEventHandler" event="OnCanDelete"/>
			</rules>
		</gridsheet>
		<gridsheet name="ProcurementsNPA" groupSheet="ProcurementPlan" title="НПА" isShowColumnNumbers="true" isFilteringAllowed="true">
			<view table="RRO_FilterProcurementNPA">
				<view masterKeys="key" detailKeys="RRO_FilterProcurementNPA.SourceKey" table="RRO_ProcurementNPA">
					<col width="290" readonly="true" caption="Идентификационный код закупки" name="IKZ_Name" valign="center"/>
					<view caption="Нормативный правовой акт">
						<col width="250" caption="вид" name="NPAType_ID" align="left" readonly="true"/>
						<col width="75" caption="дата" name="NpaDate" align="center" readonly="true"/>
						<col width="75" caption="номер" name="NpaNumber" align="center" readonly="true"/>
						<col width="350" caption="наименование" name="NpaName" align="left" readonly="true"/>
						<col width="200" caption="статус" name="NPAStatuses_ID" align="left" readonly="true"/>
						<col width="120" caption="предполагаемая дата изменения статуса" name="NpaChangeDate" align="center" readonly="true"/>
					</view>
					<editors>
						<editor id="ProcurementsNPAEditor" canAdd="true"/>
					</editors>
				</view>
				<editors>
					<editor id="ProcurementsNPAEditor" canAdd="true"/>
				</editors>
			</view>
			<rules>
				<rule name="%Doc%.ProcurementsNPASheet.ActivateSheetEventHandler" event="OnActivateSheet"/>
				<rule name="%Doc%.ProcurementsNPASheet.CanEditEventHandler" event="OnCanAdd"/>
				<rule name="%Doc%.ProcurementsNPASheet.CanEditEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.ProcurementsNPASheet.CanEditEventHandler" event="OnCanDelete"/>
			</rules>
		</gridsheet>
		<gridsheet name="ProcurementsInfoNPA" groupSheet="ProcurementPlan" title="Сведения об НПА, по объемам превышающий срок ЛБО" isShowColumnNumbers="true" isFilteringAllowed="true">
			<view table="RRO_FilterProcurementInfoNPA">
				<view masterKeys="key" detailKeys="RRO_FilterProcurementInfoNPA.SourceKey" table="RRO_ProcurementInfoNPA">
					<view caption="Сведения НПА">
						<col width="350" readonly="true" caption="Наименование" name="ActName" valign="center" isMergeCells="true"/>
						<col width="200" readonly="true" caption="Вид" name="ActKind" valign="center" isMergeCells="true"/>
						<col width="150" readonly="true" caption="Номер" name="ActNum" valign="center" isMergeCells="true"/>
						<col width="100" readonly="true" caption="Дата" name="ActDate" align="center" valign="center" isMergeCells="true"/>
					</view>
					<view masterKeys="RRO_ProcurementInfoNPA_ID" detailKeys="RRO_ProcurementInfoNPA.Key" table="RRO_ProcurementInfoNPADetails">
						<view caption="Объем средств, планируемых по НПА на осуществлении закупки" readonly="true">
							<col width="100" readonly="true" caption="вида расходов" name="VR_Code" align="center" valign="center"/>
							<template>
								<col width="150" readonly="true" caption="{caption} год" name="Y{fieldName}" align="right" displayFormat=",0.00"/>
								<rules>
									<rule name="%Doc%.ProcurementsInfoNPASheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
									<rule name="%Doc%.ProcurementsInfoNPASheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
								</rules>
							</template>
							<col width="150" readonly="true" caption="Последующие годы" name="Y4" align="right" displayFormat=",0.00"/>
						</view>
						<editors>
							<editor id="ProcurementsInfoNPADetailsEditor" canAdd="true"/>
						</editors>
					</view>
					<editors>
						<editor id="ProcurementsInfoNPAEditor" canAdd="true"/>
					</editors>
				</view>
				<editors>
					<editor id="ProcurementsInfoNPAEditor" canAdd="true"/>
				</editors>
			</view>
			<rules>
				<rule name="%Doc%.ProcurementsInfoNPASheet.ActivateSheetEventHandler" event="OnActivateSheet"/>
				<rule name="%Doc%.ProcurementsInfoNPASheet.CanAddEventHandler" event="OnCanAdd"/>
				<rule name="%Doc%.ProcurementsInfoNPASheet.CanEditEventHandler" event="OnCanEdit"/>
				<rule name="%Doc%.ProcurementsInfoNPASheet.CanEditEventHandler" event="OnCanDelete"/>
			</rules>
		</gridsheet>
		<gridsheet name="ProcurementsPlanSumbyKBK" groupSheet="ProcurementPlan" title="Итого по КБК" isShowColumnNumbers="true" isFilteringAllowed="true">
			<view table="RRO_ProcurementPlanSumbyKBK" readonly="true">
				<col width="250" caption="Код по бюджетной классификации" name="KBKFullCode" align="left" valign="center"/>
				<view caption="Объем финансового обеспечения">
					<template>
						<col width="150" caption="{caption} год" name="Y{fieldName}" align="right" displayFormat=",0.00"/>
						<rules>
							<rule name="%Doc%.ProcurementsPlanSumbyKBKSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
							<rule name="%Doc%.ProcurementsPlanSumbyKBKSheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
						</rules>
					</template>
					<col width="150" caption="Последующие годы" name="Y4" align="right" displayFormat=",0.00"/>
					<col width="150" caption="Всего" name="TotalSum" align="right" displayFormat=",0.00"/>
				</view>
			</view>
			<view table="dual" readonly="true">
			</view>
			<rules>
				<rule name="%Doc%.ProcurementsPlanSumbyKBKSheet.ActivateSheetEventHandler" event="OnActivateSheet"/>
				<rule name="%Doc%.ProcurementsPlanSumbyKBKSheet.CalcEventHandler" event="OnCalc"/>
			</rules>
		</gridsheet>
		<rules>
			<rule name="%Doc%.InterfaceRules.StartEventHandler" event="OnStart"/>
			<rule name="%Doc%.InterfaceRules.SelectFoiv" event="OnBeforeRenderDoc"/>
			<rule name="%Doc%.UpdateRules.UpdateTemplate" event="OnUpdateTemplate"/>
		</rules>
	</sheets>
	<editors>
		<editor id="OutlayVersionsEditor" caption="Смета" height="170">
			<fieldssheet table="RRO_Outlays">
				<rules>
					<rule name="%Doc%.OutlayVersionsEditor.EditFieldEventHandler" event="OnEditField" table="RRO_Outlays"/>
				</rules>
				<field name="Outlay_Status_ID" filterRule="%Doc%.OutlayVersionsEditor.FilterStatuses">
					<buttons/>
				</field>
				<field name="ChangeType_ID">
					<rules>
						<rule name="%Doc%.OutlayVersionsEditor.NeedFillChangeType" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="ApprovedDate">
					<rules>
						<rule name="%Doc%.OutlayVersionsEditor.IsApproved" event="OnGetIsRequired"/>
						<rule name="%Doc%.OutlayVersionsEditor.IsApproved" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
				<field name="AgreedDate">
					<rules>
						<rule name="%Doc%.OutlayVersionsEditor.IsAgreed" event="OnGetIsRequired"/>
						<rule name="%Doc%.OutlayVersionsEditor.IsAgreed" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.OutlayVersionsEditor.CanCloseEventHandler" event="OnCanClose"/>
				<rule name="%Doc%.OutlayVersionsEditor.CloseEventHandler" event="OnClose"/>
			</rules>
		</editor>
		<editor id="SumOutlayVersionsEditor" caption="Свод смет">
			<fieldssheet table="RRO_SumOutlays">
				<field name="Name"/>
				<field name="Outlay_Status_ID" filterRule="%Doc%.SumOutlayVersionsEditor.FilterStatuses"/>
				<field name="ApprovedDate">
					<rules>
						<rule name="%Doc%.SumOutlayVersionsEditor.IsApproved" event="OnGetIsRequired"/>
						<rule name="%Doc%.SumOutlayVersionsEditor.IsApproved" event="OnGetIsVisible"/>
					</rules>
				</field>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.SumOutlayVersionsEditor.CloseEventHandler" event="OnClose"/>
			</rules>
		</editor>
		<editor id="SumOutlayVersionsListEditor" caption="Версии свода смет">
			<fieldssheet table="RRO_Outlays">
				<field name="LastSumOutlayRecipientKey" caption="Версия свода смет" filterRule="ObasTableCollection.RroSumOutlayTable.IsDraft">
					<rules>
						<rule name="ObasHelper.GetTrue" event="OnGetIsRequired"/>
					</rules>
				</field>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="KBKEditor" caption="КБК" width="450">
			<fieldssheet title="КБК" table="RRO_DATA">
				<group caption="Раздел/подраздел">
					<field name="FCR_Code" width="70" caption="Код">
						<buttons/>
					</field>
					<field name="FCR_ID" caption="Наименование">
						<buttons/>
					</field>
				</group>
				<group caption="Целевая статья">
					<group caption="Программа">
						<field name="Program_Code" width="70" caption="Код">
							<buttons/>
						</field>
						<field name="Program_ID" caption="Наименование">
							<buttons/>
						</field>
					</group>
					<group caption="Подпрограмма">
						<field name="SubProgram_FullCode" width="70" caption="Код">
							<buttons/>
						</field>
						<field name="SubProgram_ID" caption="Наименование">
							<buttons/>
						</field>
					</group>
					<group caption="Основное мероприятие">
						<field name="MainAction_FullCode" width="70" caption="Код (полный)">
							<buttons/>
						</field>
						<field name="MainAction_Name" caption="Наименование">
							<buttons/>
						</field>
					</group>
					<group caption="Направление расходов">
						<field name="DirectionCost_Code" width="70" caption="Код">
							<buttons/>
						</field>
						<field name="DirectionCost_ID" caption="Наименование">
							<buttons/>
						</field>
					</group>
				</group>
				<group caption="Вид расходов">
					<field name="VR_Code" width="70" caption="Код">
						<buttons/>
					</field>
					<field name="VR_ID" caption="Наименование">
						<buttons/>
					</field>
				</group>
				<group caption="Гриф секретности">
					<field name="SecurityTypes_Code" width="70" caption="Аббревиатура">
						<buttons/>
					</field>
					<field name="SecurityTypes_ID" caption="Наименование">
						<buttons/>
					</field>
				</group>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.KbkEditor.OnCanCloseEventHandler" event="OnCanClose"/>
				<rule name="%Doc%.KbkEditor.CloseEventHandler" event="OnClose"/>
			</rules>
		</editor>
		<editor id="AddAnalysisIndicator" caption="Аналитический показатель">
			<fieldssheet table="AddAnalysisIndicator">
				<group caption="КОСГУ">
					<field name="KOSGU_Code" width="70" caption="Код" filterRule="ObasTableCollection.KosguSprTable.IsChild">
						<buttons/>
					</field>
					<field name="KOSGU_ID" caption="Наименование" filterRule="ObasTableCollection.KosguSprTable.IsChild">
						<buttons/>
					</field>
				</group>
				<group caption="Аналитический показатель">
					<field name="Code" width="70" caption="Код" editMask=".{3,8}" errorMessage="Длина вводимого значения должна составлять от 3 до 8 знаков"/>
					<field name="Name" caption="Наименование"/>
				</group>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="AddAnalysisIndicatorListEditor" caption="Справочник кодов аналитических показателей">
			<gridsheet name="AddAnalysisIndicatorListSheet" title="Справочник кодов аналитических показателей">
				<view table="AddAnalysisIndicator">
					<col width="150" readonly="true" caption="Код КОСГУ" name="KOSGU_Code"/>
					<col width="300" readonly="true" caption="Наименование КОСГУ" name="KOSGU_ID">
						<buttons/>
					</col>
					<col width="150" readonly="true" caption="Код аналитического показателя" name="Code"/>
					<col width="300" readonly="true" caption="Наименование аналитического показателя" name="Name"/>
					<editors>
						<editor id="AddAnalysisIndicator" canAdd="true"/>
					</editors>
				</view>
			</gridsheet>
			<buttons/>
		</editor>
		<editor id="RROKosguEditor" caption="КОСГУ">
			<fieldssheet table="RRO_Outlay_KOSGU">
				<group caption="КОСГУ">
					<field name="KOSGU_Code" width="70" caption="Код" filterRule="ObasTableCollection.RroOutlayKosguTable.FilterKosgu">
						<buttons/>
					</field>
					<field name="KOSGU_Id" caption="Наименование" filterRule="ObasTableCollection.RroOutlayKosguTable.FilterKosgu">
						<buttons/>
					</field>
				</group>
				<group caption="Проект сметы">
					<field name="Y1" width="100" caption="2019 год"/>
					<field name="Y2" width="100" caption="2020 год"/>
					<field name="Y3" width="100" caption="2021 год"/>
				</group>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.OutlayKosguSumEditor.CanCloseEventHandler" event="OnCanClose"/>
			</rules>
		</editor>
		<editor id="RROAddAnalysisIndicatorEditor" caption="Аналитический показатель">
			<fieldssheet table="RRO_OBAS_AddAnalysisIndicator">
				<group caption="Аналитический показатель">
					<field name="AddAnalysisIndicator_Code" width="70" caption="Код" filterRule="ObasTableCollection.RroObasAddAnalysisIndicatorTable.IsKosguChild">
						<buttons/>
					</field>
					<field name="AddAnalysisIndicator_ID" caption="Наименование" filterRule="ObasTableCollection.RroObasAddAnalysisIndicatorTable.IsKosguChild">
						<buttons/>
					</field>
				</group>
				<group caption="Проект сметы">
					<field name="Y1" width="100" caption="2019 год"/>
					<field name="Y2" width="100" caption="2020 год"/>
					<field name="Y3" width="100" caption="2021 год"/>
				</group>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.ObasAddAnalysisIndicatorSumEditor.CanCloseEventHandler" event="OnCanClose"/>
			</rules>
		</editor>
		<editor id="OBASEditor" caption="Сметный расчет">
			<fieldssheet table="RRO_OBAS">
				<field name="OBAS_SPR_ID" caption="Сметный расчет"/>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="SELECTED_FOIVEditor" caption="Полномочия и реквизиты" width="620" height="520">
			<fieldssheet table="SELECTED_FOIV">
				<field name="BudgetAuthority_ID" caption="Полномочия">
					<buttons/>
				</field>
				<group caption="Получатель бюджетных средств">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
					<field name="Recipient_Name" caption="Полное наименование">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsRequired"/>
						</rules>
					</field>
					<field name="Recipient_RegCode" width="185" caption="Код по перечню (реестру)">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsRequired"/>
						</rules>
					</field>
					<field name="Recipient_OktmoCode" width="185" caption="Код по ОКТМО">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsRequired"/>
						</rules>
					</field>
					<field name="Recipient_Code" width="185" caption="Код по ОКПО">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsRequired"/>
						</rules>
					</field>
				</group>
				<field name="LegalForm" width="450" caption="Организационно-правовая форма">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="OKOPF" caption="ОКОПФ" editMask="\d{5}" errorMessage="ОКОПФ должен содержать 5 знаков">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="OwnershipForm" width="450" caption="Форма собственности">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="OKFS" caption="ОКФС" editMask="\d{2}" errorMessage="ОКФС должен содержать 2 знака">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="Address" width="450" caption="Местонахождение (адрес)">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="Telefon" caption="Номер телефона">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="Email" width="260" caption="Электронный адрес">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="INN" width="150" caption="ИНН" editMask="\d{10}" errorMessage="ИНН должен содержать 10 знаков">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<field name="KPP" width="150" caption="КПП" editMask="\d{9}" errorMessage="КПП должен содержать 9 знаков">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsRecipient" event="OnGetIsVisible"/>
					</rules>
				</field>
				<group caption="Распорядитель бюджетных средств">
					<rules>
						<rule name="%Doc%.RecipientDetailsEditor.IsManager" event="OnGetIsVisible"/>
					</rules>
					<field name="Manager_Name" caption="Полное наименование">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsManager" event="OnGetIsRequired"/>
						</rules>
					</field>
					<field name="Manager_RegCode" width="185" breakLine="true" caption="Код по перечню (реестру)">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsManager" event="OnGetIsRequired"/>
						</rules>
					</field>
					<field name="Manager_OktmoCode" width="185" caption="Код по ОКТМО">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsManager" event="OnGetIsRequired"/>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsManager" event="OnGetIsVisible"/>
						</rules>
					</field>
				</group>
				<group caption="Главный распорядитель бюджетных средств">
					<field name="FOIV_Name" width="400" caption="Полное наименование">
						<buttons/>
					</field>
					<field name="FOIV_ID" caption="Код по БК">
						<buttons/>
					</field>
					<field name="FOIV_RegCode" width="185" breakLine="true" caption="Код по перечню (реестру)">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsMainManager" event="OnGetIsRequired"/>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsMainManager" event="OnGetIsVisible"/>
						</rules>
					</field>
					<field name="FOIV_OktmoCode" width="185" caption="Код по ОКТМО">
						<rules>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsMainManager" event="OnGetIsRequired"/>
							<rule name="%Doc%.RecipientDetailsEditor.SourceTable.IsMainManager" event="OnGetIsVisible"/>
						</rules>
					</field>
				</group>
				<field name="BudgetName" width="400" breakLine="true" caption="Наименование бюджета">
					<rules>
						<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
					</rules>
				</field>
			</fieldssheet>
			<buttons>
				<rules>
					<rule name="%Doc%.RecipientDetailsEditor.GetMainButtonVisible" event="OnCommonGetIsVisible"/>
				</rules>
			</buttons>
			<rules>
				<rule name="%Doc%.RecipientDetailsEditor.CanCloseEventHandler" event="OnCanClose"/>
				<rule name="%Doc%.RecipientDetailsEditor.CloseEventHandler" event="OnClose"/>
			</rules>
		</editor>
		<editor id="RRO_OBAS_Recvisits" caption="Справочник подписантов">
			<fieldssheet table="RRO_OBAS_Recvisits">
				<field name="RRO_OfficeChiefRecvisits_ID" isShowAddEditButton="true">
					<buttons/>
				</field>
				<field name="RRO_FinanceChiefRecvisits_ID" isShowAddEditButton="true">
					<buttons/>
				</field>
				<field name="RRO_ExecutorRecvisits_ID" isShowAddEditButton="true">
					<buttons/>
				</field>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="PrintSettingsEditor" caption="Настройка реквизитов для печати">
			<fieldssheet title="Подписанты" table="RRO_OBAS_Recvisits">
				<group caption="Руководитель (уполномоченное лицо)">
					<field name="RRO_OfficeChiefRecvisits_ID" caption="ФИО">
						<buttons/>
					</field>
					<field name="RRO_OfficeChiefRecvisits_Post" caption="Должность">
						<buttons/>
					</field>
				</group>
				<group caption="Руководитель финансового подразделения">
					<field name="RRO_FinanceChiefRecvisits_ID" caption="ФИО">
						<buttons/>
					</field>
				</group>
				<group caption="Исполнитель">
					<field name="RRO_ExecutorRecvisits_ID" caption="ФИО">
						<buttons/>
					</field>
					<field name="RRO_ExecutorRecvisits_Post" caption="Должность">
						<buttons/>
					</field>
					<field name="RRO_ExecutorRecvisits_Phone" caption="Телефон">
						<buttons/>
					</field>
				</group>
			</fieldssheet>
			<fieldssheet title="Реквизиты приложений" table="RRO_OBAS_Recvisits">
				<group caption="Согласующий смету">
					<field name="OutlayAgreedRecvisits_Name" caption="ФИО"/>
					<field name="OutlayAgreedRecvisits_Post" caption="Должность"/>
				</group>
				<group caption="Утверждающий смету">
					<field name="OutlayApprovedRecvisits_Name" caption="ФИО"/>
					<field name="OutlayApprovedRecvisits_Post" caption="Должность"/>
				</group>
			</fieldssheet>
			<fieldssheet title="Специальные номера" table="RRO_OBAS_Numbers">
				<field name="CopyNumber" caption="Номер экземпляра"/>
				<field name="StrNumber" caption="Строковый номер"/>
			</fieldssheet>
			<fieldssheet title="Гриф секретности" table="RRO_OBAS_SC">
				<field name="SecurityTypes_ID" caption="Гриф секретности">
					<buttons/>
				</field>
				<field name="SecBase" caption="Основание"/>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="OBASSumEditor" caption="Данные сметного расчета">
			<fieldssheet table="RRO_OBAS_VERSIONS">
				<group caption="Проект сметы">
					<field name="Y1" width="100" caption="2019 год"/>
					<field name="Y2" width="100" caption="2020 год"/>
					<field name="Y3" width="100" caption="2021 год"/>
				</group>
				<group caption="Изменение (+,-)">
					<field name="Y1_D" width="100" caption="2019 год"/>
					<field name="Y2_D" width="100" caption="2020 год"/>
					<field name="Y3_D" width="100" caption="2021 год"/>
				</group>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="LBOSumEditor" caption="Раннее доведенные ЛБО" width="300" height="150">
			<fieldssheet table="RRO_Expend_Shedule">
				<field name="Y1" caption="Сумма на 2019 год:"/>
				<field name="Y2" caption="Сумма на 2020 год:"/>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="OKPDListEditor" caption="Справочник ОКПД" width="750" height="400">
			<gridsheet name="OKPDListSheet" title="Справочник ОКПД">
				<view table="OKPD" readonly="true">
					<col width="150" caption="Код" name="Code"/>
					<col width="500" caption="Наименование" name="Name"/>
				</view>
			</gridsheet>
			<buttons>
				<rules>
					<rule name="%Doc%.OKPDListEditor.GetMainButtonCaption" event="OnCommonGetCaption"/>
					<rule name="%Doc%.OKPDListEditor.GetMainButtonVisible" event="OnCommonGetIsVisible"/>
				</rules>
			</buttons>
		</editor>
		<editor id="OKVListEditor" caption="Справочник ОКВ" width="750" height="400">
			<gridsheet name="OKVListSheet" title="Справочник ОКВ" isShowColumnNumbers="true" isFilteringAllowed="true">
				<view table="OKV" readonly="true">
					<col width="150" caption="Код" name="CodeDigital"/>
					<col width="500" caption="Наименование" name="Name"/>
				</view>
			</gridsheet>
			<buttons>
				<rules>
					<rule name="%Doc%.OKVListEditor.GetMainButtonCaption" event="OnCommonGetCaption"/>
					<rule name="%Doc%.OKVListEditor.GetMainButtonVisible" event="OnCommonGetIsVisible"/>
				</rules>
			</buttons>
		</editor>
		<editor id="RateDollarActualListEditor" caption="Курс доллара США" width="350" height="200">
			<gridsheet id="RateDollarActualListSheet" title="Курс доллара США">
				<view table="RateDollarActual" readonly="true">
					<col width="180" caption="Год" name="ActualDate"/>
					<col width="120" caption="Значение" name="Val" align="right" displayFormat=",0.00"/>
					<rules>
						<rule name="%Doc%.InterfaceRules.RateDollarActualSprSheetLoadEventHandler" event="OnLoad"/>
					</rules>
				</view>
				<rules>
					<rule name="%Doc%.InterfaceRules.RateDollarActualSprSheetCalcEventHandler" event="OnCalc"/>
				</rules>
			</gridsheet>
			<buttons>
				<rules>
					<rule name="%Doc%.RateDollarActualListEditor.GetMainButtonCaption" event="OnCommonGetCaption"/>
					<rule name="%Doc%.RateDollarActualListEditor.GetMainButtonVisible" event="OnCommonGetIsVisible"/>
				</rules>
			</buttons>
		</editor>
		<editor id="GroundsMakingChangesListEditor" caption="Основания внесения изменений" width="850" height="500">
			<gridsheet name="GroundsMakingChangesSprSheet" title="Основания внесения изменений">
				<view table="GroundsMakingChanges" readonly="true">
					<col width="60" caption="Код" name="Code" align="center"/>
					<col width="470" caption="Наименование" name="Name"/>
					<col width="100" caption="Дата начала действия" name="DateStart" align="center"/>
					<col width="100" caption="Дата окончания действия" name="DateEnd" align="center"/>
					<col width="80" caption="Требуется описание" name="IsDescriptionRequired" align="center"/>
				</view>
			</gridsheet>
			<buttons>
				<rules>
					<rule name="%Doc%.GroundsMakingChangesListEditor.GetMainButtonCaption" event="OnCommonGetCaption"/>
					<rule name="%Doc%.GroundsMakingChangesListEditor.GetMainButtonVisible" event="OnCommonGetIsVisible"/>
				</rules>
			</buttons>
		</editor>
		<editor id="ProcurementPlanVersionsEditor" caption="План закупки" width="450" height="160">
			<fieldssheet table="RRO_ProcurementPlan">
				<rules>
					<rule name="%Doc%.ProcurementPlanVersionsEditor.EditFieldEventHandler" event="OnEditField" table="RRO_ProcurementPlan"/>
				</rules>
				<field name="ProcurementPlan_Status_ID" filterRule="%Doc%.ProcurementPlanVersionsEditor.FilterStatuses">
					<buttons/>
				</field>
				<field name="ApprovedDate">
					<rules>
						<rule name="%Doc%.ProcurementPlanVersionsEditor.IsApproved" event="OnGetIsRequired"/>
						<rule name="%Doc%.ProcurementPlanVersionsEditor.IsApproved" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
				<field name="AgreedDate">
					<rules>
						<rule name="%Doc%.ProcurementPlanVersionsEditor.IsAgreed" event="OnGetIsRequired"/>
						<rule name="%Doc%.ProcurementPlanVersionsEditor.IsAgreed" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.ProcurementPlanVersionsEditor.CanCloseEventHandler" event="OnCanClose"/>
			</rules>
		</editor>
		<editor id="ProcurementsEditor" caption="Закупка" width="800" height="650">
			<fieldssheet table="RRO_Procurement">
				<rules>
					<rule name="%Doc%.ProcurementsEditor.EditFieldEventHandler" event="OnEditField" table="RRO_Procurement"/>
				</rules>
				<field name="NumStr" width="150" caption="Номер" editMask="\d{4}" errorMessage="Длина вводимого значения должна составлять 4 знака"/>
				<field name="Procurement_PlacementYear_ID" width="250" caption="Год размещения извещения" filterRule="ObasTableCollection.ProcurementPlacementYearSprTable.Filter">
					<buttons/>
				</field>
				<field name="Procurement_Types_ID" breakLine="true" caption="Тип закупки">
					<buttons/>
				</field>
				<field name="IsEnlarged_ID" caption="Укрупненная">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsProcurementNotSpecial" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
				<field name="ObjectName" caption="Наименование объекта закупки" hint="Установить номер пункта">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsProcurementSpecial" event="OnGetIsReadOnly"/>
					</rules>
					<buttons/>
				</field>
				<field name="MainStateProgram" caption="Наименование государственной программы"/>
				<field name="MainEventStateProgram" caption="Наименование основного мероприятия государственной программы"/>
				<field name="ExpectedResult" caption="Ожидаемый результат">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsProcurementNotSpecial" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
				<field name="DateBegin" width="265" caption="Срок осуществления закупки. Дата начала">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsRequiredDatesPeriod" event="OnGetIsRequired"/>
					</rules>
					<buttons/>
				</field>
				<field name="DateEnd" width="265" caption="Срок осуществления закупки. Дата окончания">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsRequiredDatesPeriod" event="OnGetIsRequired"/>
					</rules>
					<buttons/>
				</field>
				<field name="Procurement_Periodicity_ID" caption="Периодичность осуществления закупки">
					<buttons/>
				</field>
				<field name="IsInfoTechDifficulties_ID" breakLine="true" caption="Сведения о технической сложности, инновационности и специальном характере закупки">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsProcurementNotSpecial" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
				<field name="IsInfoPublicComment_ID" caption="Сведения об обязательном общественном обсуждении">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsProcurementNotSpecial" event="OnGetIsVisible"/>
					</rules>
					<buttons/>
				</field>
				<field name="JustificationConformityObject" caption="Обоснование соответствия объекта закупки мероприятию государственной программы"/>
				<group caption=" Основание внесения изменений ">
					<field name="GroundsMakingChanges_Code" width="70" caption="Код">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsRequired"/>
						</rules>
					</field>
					<field name="GroundsMakingChanges_ID" caption="Наименование" filterRule="%Doc%.ProcurementsEditor.FilterGroundsMakingChanges"/>
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsGroundsMakingChangesFieldVisible" event="OnGetIsVisible"/>
					</rules>
				</group>
				<field name="DescriptionGroundsForChanges" caption="Описание обоснования изменений">
					<rules>
						<rule name="%Doc%.ProcurementsEditor.IsGroundsMakingChangesFieldVisible" event="OnGetIsVisible"/>
						<rule name="%Doc%.ProcurementsEditor.IsRequiredDescriptionGroundsForChanges" event="OnGetIsRequired"/>
					</rules>
					<buttons/>
				</field>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.ProcurementsEditor.CanCloseEventHandler" event="OnCanClose"/>
			</rules>
		</editor>
		<editor id="ProcurementsKBKEditor" caption="КБК" width="630" height="380">
			<fieldssheet table="RRO_ProcurementKBK">
				<rules>
					<rule name="%Doc%.ProcurementsKBKEditor.EditFieldEventHandler" event="OnEditField" table="RRO_ProcurementKBK"/>
				</rules>
				<field name="ObjectName" caption="Наименование объекта закупки">
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsProcurementSpecial" event="OnGetIsReadOnly"/>
					</rules>
				</field>
				<field name="RRO_Data_ID" caption="КБК">
					<buttons/>
				</field>
				<group caption=" ОКПД ">
					<field name="OKPD_Code" width="110" caption="Код"/>
					<field name="OKPD_ID" caption="Наименование" filterRule="%Doc%.ProcurementsKBKEditor.FilterOKPD">
						<buttons/>
					</field>
				</group>
				<field name="IsForeignProcurement" caption="Закупка зарубежного аппарата">
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsReadOnlyFieldIsForeignProcurement" event="OnGetIsReadOnly"/>
					</rules>
				</field>
				<group caption=" Объем финансового обеспечения ">
					<field name="Y1" width="150" caption="2019 год">
						<rules>
							<rule name="%Doc%.ProcurementsKBKEditor.IsReadOnlyY1Field" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Y2" width="150" caption="2020 год">
						<rules>
							<rule name="%Doc%.ProcurementsKBKEditor.IsReadOnlyY2Field" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Y3" width="150" caption="2021 год"/>
					<field name="Y4" width="150" caption="Последующие годы"/>
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsRussianProcurement" event="OnGetIsVisible"/>
					</rules>
				</group>
				<group caption=" Валюта платежа ">
					<field name="OKV_Code" width="110" caption="Код"/>
					<field name="OKV_ID" caption="Наименование валюты платежа"/>
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsForeignProcurement" event="OnGetIsVisible"/>
					</rules>
				</group>
				<group caption=" Курс валюты платежа ">
					<field name="CurrencyRate_Y1" width="150" caption="2019 год"/>
					<field name="CurrencyRate_Y2" width="150" caption="2020 год"/>
					<field name="CurrencyRate_Y3" width="150" caption="2021 год"/>
					<field name="CurrencyRate_Y4" width="150" caption="Последующие годы"/>
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsForeignProcurement" event="OnGetIsVisible"/>
					</rules>
				</group>
				<group caption=" Объем финансового обеспечения - 2019 год ">
					<field name="Currency_Y1" width="150" caption="В валюте платежа">
						<rules>
							<rule name="%Doc%.ProcurementsKBKEditor.IsReadOnlyY1Field" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Usd_Y1" width="150" caption="В долларах США">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Y1" width="150" caption="В рублевом эквиваленте">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsForeignProcurement" event="OnGetIsVisible"/>
					</rules>
				</group>
				<group caption=" Объем финансового обеспечения - 2020 год ">
					<field name="Currency_Y2" width="150" caption="В валюте платежа">
						<rules>
							<rule name="%Doc%.ProcurementsKBKEditor.IsReadOnlyY2Field" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Usd_Y2" width="150" caption="В долларах США">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Y2" width="150" caption="В рублевом эквиваленте">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsForeignProcurement" event="OnGetIsVisible"/>
					</rules>
				</group>
				<group caption=" Объем финансового обеспечения - 2021 год ">
					<field name="Currency_Y3" width="150" caption="В валюте платежа"/>
					<field name="Usd_Y3" width="150" caption="В долларах США">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Y3" width="150" caption="В рублевом эквиваленте">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsForeignProcurement" event="OnGetIsVisible"/>
					</rules>
				</group>
				<group caption=" Объем финансового обеспечения - Последующие годы ">
					<field name="Currency_Y4" width="150" caption="В валюте платежа"/>
					<field name="Usd_Y4" width="150" caption="В долларах США">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<field name="Y4" width="150" caption="В рублевом эквиваленте">
						<rules>
							<rule name="ObasHelper.GetTrue" event="OnGetIsReadOnly"/>
						</rules>
					</field>
					<rules>
						<rule name="%Doc%.ProcurementsKBKEditor.IsForeignProcurement" event="OnGetIsVisible"/>
					</rules>
				</group>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.ProcurementsKBKEditor.CanCloseEventHandler" event="OnCanClose"/>
				<rule name="%Doc%.ProcurementsKBKEditor.CloseEventHandler" event="OnClose"/>
			</rules>
		</editor>
		<editor id="ProcurementsNPAEditor" caption="НПА" height="350">
			<fieldssheet table="RRO_ProcurementNPA">
				<field name="NPAType_ID" caption="Вид"/>
				<field name="NPAStatuses_ID" caption="Статус" filterRule="%Doc%.InterfaceRules.FilterNPAStatuses"/>
				<field name="NpaDate" caption="Дата" width="150"/>
				<field name="NpaChangeDate" caption="Предполагаемая дата изменения статуса"/>
				<field name="NpaNumber" caption="Номер"/>
				<field name="NpaName" caption="Наименование"/>
			</fieldssheet>
			<buttons/>
			<rules>
				<rule name="%Doc%.ProcurementsNPAEditor.CanCloseEventHandler" event="OnCanClose"/>
			</rules>
		</editor>
		<editor id="ProcurementsInfoNPAEditor" caption="Сведения НПА" height="280">
			<fieldssheet table="RRO_ProcurementInfoNPA">
				<field name="ActName" breakLine="true" caption="Наименование"/>
				<field name="ActKind" breakLine="true" caption="Вид"/>
				<field name="ActNum" width="400" caption="Номер"/>
				<field name="ActDate" caption="Дата"/>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="ProcurementsInfoNPADetailsEditor" caption="Объем средств, планируемых по НПА" width="540" height="200">
			<fieldssheet table="RRO_ProcurementInfoNPADetails">
				<group caption="Вид расходов">
					<field name="VR_Code" width="70" caption="Код">
						<buttons/>
					</field>
					<field name="VR_ID" caption="Наименование">
						<buttons/>
					</field>
				</group>
				<group caption=" Объем финансового обеспечения ">
					<field name="Y1" width="130" caption="2019 год"/>
					<field name="Y2" width="130" caption="2020 год"/>
					<field name="Y3" width="130" caption="2021 год"/>
					<field name="Y4" caption="Последующие годы"/>
				</group>
			</fieldssheet>
			<buttons/>
		</editor>
		<editor id="ExpendSheduleAddData_Editor" caption="Расходное расписание (ручной ввод)" height="450" width="870" buttonOKText="Загрузить">
			<fieldssheet title="Документ" table="RRO_ExpendSheduleAddData">
				<field name="DocNumber" width="600" caption="Номер документа"/>
				<field name="DocDate" caption="Дата документа"/>
			</fieldssheet>
			<gridsheet title="Данные документа">
				<view table="RRO_ExpendSheduleAddKBKData">
					<view caption="Код по бюджетной классификации Российской Федерации">
						<col width="100" readonly="true" caption="раздела" name="FCR_CodeSection" align="center" valign="center"/>
						<col width="100" readonly="true" caption="подраздела" name="FCR_CodeSubSection" align="center" valign="center"/>
						<col width="200" readonly="true" caption="целевой статьи" name="CSR_Code" align="center" valign="center"/>
						<col width="100" readonly="true" caption="вида расходов" name="VR_CODE" align="center" valign="center"/>
					</view>
					<view caption="Доведенные ЛБО">
						<template>
							<col width="120" readonly="true" name="Y{fieldName}" caption="на {caption} год" align="right" valign="center" displayFormat=",0.00"/>
							<rules>
								<rule name="%Doc%.ExpendSheduleSheet.GetYearsFieldRangeEventHandler" event="OnGetFieldsRange"/>
								<rule name="%Doc%.ExpendSheduleSheet.GetYearsCaptionEventHandler" event="OnGetCaption"/>
							</rules>
						</template>
					</view>
					<editors>
						<editor id="ExpendSheduleAddKBKData_Editor" canAdd="true"/>
					</editors>
				</view>
			</gridsheet>
			<rules>
				<rule name="%Doc%.InterfaceRules.CheckExpendSheduleAddDataCanCloseEventHandler" event="OnCanClose"/>
			</rules>
		</editor>
		<editor id="ExpendSheduleAddKBKData_Editor" caption="КБК" height="630" width="450">
			<fieldssheet title="КБК" table="RRO_ExpendSheduleAddKBKData">
				<group caption="Раздел/подраздел">
					<field name="FCR_Code" width="70" caption="Код"/>
					<field name="FCR_ID" caption="Наименование"/>
				</group>
				<group caption="Целевая статья">
					<group caption="Программа">
						<field name="Program_Code" width="70" caption="Код"/>
						<field name="Program_ID" caption="Наименование"/>
					</group>
					<group caption="Подпрограмма">
						<field name="SubProgram_FullCode" width="70" caption="Код"/>
						<field name="SubProgram_ID" caption="Наименование"/>
					</group>
					<group caption="Основное мероприятие">
						<field name="MainAction_FullCode" width="70" caption="Код (полный)"/>
						<field name="MainAction_Name" caption="Наименование"/>
					</group>
					<group caption="Направление расходов">
						<field name="DirectionCost_Code" width="70" caption="Код"/>
						<field name="DirectionCost_ID" caption="Наименование"/>
					</group>
				</group>
				<group caption="Вид расходов">
					<field name="VR_Code" width="70" caption="Код"/>
					<field name="VR_ID" caption="Наименование"/>
				</group>
				<group caption="Гриф секретности">
					<field name="SecurityTypes_Code" width="70" caption="Аббревиатура"/>
					<field name="SecurityTypes_ID" caption="Наименование"/>
				</group>
				<group caption="Доведенные ЛБО">
					<field name="Y1" width="120" caption="2019 год"/>
					<field name="Y2" width="120" caption="2020 год"/>
					<field name="Y3" width="120" caption="2021 год"/>
				</group>
			</fieldssheet>
			<rules>
				<rule name="%Doc%.InterfaceRules.CheckExpendSheduleAddKBKDataCanCloseEventHandler" event="OnCanClose"/>
			</rules>
		</editor>
	</editors>
	<menu>
		<menu caption="Справочники">
			<menu caption="Справочник полномочий и реквизитов">
				<rules>
					<rule name="%Doc%.InterfaceRules.AuthDetailsSprMenuItemClick" event="OnClick"/>
				</rules>
			</menu>
			<menu caption="Справочник кодов аналитических показателей">
				<rules>
					<rule name="%Doc%.InterfaceRules.AnalyticIndicatorsSprMenuItemClick" event="OnClick"/>
				</rules>
			</menu>
			<menu caption="Справочник подписантов">
				<rules>
					<rule name="%Doc%.InterfaceRules.SignsSprMenuItemClick" event="OnClick"/>
				</rules>
			</menu>
			<menu caption="Справочник ОКПД">
				<rules>
					<rule name="%Doc%.InterfaceRules.OKPDSprMenuItemClick" event="OnClick"/>
				</rules>
			</menu>
			<menu caption="Справочник ОКВ">
				<rules>
					<rule name="%Doc%.InterfaceRules.OKVSprMenuItemClick" event="OnClick"/>
				</rules>
			</menu>
			<menu caption="Справочник курса доллара США">
				<rules>
					<rule name="%Doc%.InterfaceRules.RateDollarActualSprMenuItemClick" event="OnClick"/>
				</rules>
			</menu>
			<menu caption="Справочник оснований внесения изменений">
				<rules>
					<rule name="%Doc%.InterfaceRules.GroundsMakingChangesSprMenuItemClick" event="OnClick"/>
				</rules>
			</menu>
		</menu>
		<menu caption="Сервис">
			<menu caption="Экспорт в MS Excel">
				<menu caption="Смета">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportOutlay1ToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Изменение">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportOutlay2ToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Сводная смета">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportSumOutlay1ToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Изменение сводной сметы">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportSumOutlay2ToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Массовая печать ОПСП">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportAllToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Массовая печать дельта-ОПСП">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportAllDeltaToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Свод смет">
					<rules>
						<rule name="ObasHelper.GetFalse" event="OnGetIsVisible"/>
					</rules>
				</menu>
				<menu caption="Справочник кодов аналитических показателей">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportAddAnalysisIndicatorToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="План закупок">
					<rules>
						<rule name="%Doc%.InterfaceRules.ExportProcurementsPlanToExcelMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
			</menu>
			<menu caption="Импорт данных">
				<menu caption="Справочник кодов аналитических показателей">
					<rules>
						<rule name="%Doc%.InterfaceRules.ImportToAddAnalysisIndicatorMenuItemClickEventHandler" event="OnClick"/>
					</rules>
				</menu>
				<menu caption="Справочник ОКПД">
					<rules>
						<rule name="%Doc%.InterfaceRules.ImportToOKPDMenuItemClickEventHandler" event="OnClick"/>
						<rule name="ObasHelper.GetFalse" event="OnGetIsVisible"/>
					</rules>
				</menu>
			</menu>
			<menu caption="Применение обновлений к документам реестра">
				<rules>
					<rule name="%Doc%.InterfaceRules.UpdateAllObasFilesMenuItemClickEventHandler" event="OnClick"/>
				</rules>
			</menu>
		</menu>
		<menu caption="Печать">
			<menu caption="Настройка реквизитов для печати">
				<rules>
					<rule name="%Doc%.InterfaceRules.PrintSettingsMenuItemClickEventHandler" event="OnClick"/>
				</rules>
			</menu>
		</menu>
		<menu caption="Разработчик">
			<menu caption="Обновить файл шаблоном вручную">
				<rules>
					<rule name="%Doc%.InterfaceRules.UpdateFormMenuItemClickEventHandler" event="OnClick"/>
				</rules>
			</menu>
		</menu>
	</menu>
</document>
